﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace WindowTest
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var newWin = new CustomWindow();
            newWin.DataContext = new ViewModel();
            newWin.ShowDialog();
        }
    }

    public class ViewModel : ViewModelBase
    {
        private string _text;

        public string Text { 
            set
            {
                if (value != _text)
                {
                    _text = value;
                    this.OnPropertyChanged("Text");
                }
            }
            get
            {
                return _text;
            }
        }

        public ICommand AcceptCommand { set; get; }
        public ICommand CancelCommand { set; get; }

        public ViewModel()
        {
            AcceptCommand = new DelegateCommand(this.AcceptCommandExecuted);
            CancelCommand = new DelegateCommand(this.CancelCommandExecuted);
        }


        public void AcceptCommandExecuted(object param)
        {
            Text = "Accept clicked";
        }

        public void CancelCommandExecuted(object param)
        {
            Text = "Cancel clicked";
        }


    }
}
